Difference between revisions of "User:Grin/Debian"

From Proxmox VE
Jump to navigation Jump to search
(some fixes)
(about ext3)
Line 1: Line 1:
 
Short Debian installation:
 
Short Debian installation:
  
* install etch as you please
+
* install etch as you please, but keep in mind that the root path of the private machines should use '''ext3''' (or ext2 if you're retro) filesystem as quota and other interesting features won't work on real filesystems like xfs. (this is a limitation of OpenVZ, not proxmox.)
 
* install openvz kernel ( linux-image-openvz-686 ) if you want, it'll save you some errors when installing openvz kernel dependent packages. alternatively you can do ''dpkg -a --configure'' later.
 
* install openvz kernel ( linux-image-openvz-686 ) if you want, it'll save you some errors when installing openvz kernel dependent packages. alternatively you can do ''dpkg -a --configure'' later.
 
* use the apt repository ''<nowiki>deb http://download.proxmox.com/debian etch pve</nowiki>''
 
* use the apt repository ''<nowiki>deb http://download.proxmox.com/debian etch pve</nowiki>''

Revision as of 14:26, 9 December 2008

Short Debian installation:

  • install etch as you please, but keep in mind that the root path of the private machines should use ext3 (or ext2 if you're retro) filesystem as quota and other interesting features won't work on real filesystems like xfs. (this is a limitation of OpenVZ, not proxmox.)
  • install openvz kernel ( linux-image-openvz-686 ) if you want, it'll save you some errors when installing openvz kernel dependent packages. alternatively you can do dpkg -a --configure later.
  • use the apt repository deb http://download.proxmox.com/debian etch pve
  • install packages: proxmox-ve, libhtml-embperl-perl, apache2-mpm-prefork (with their dependencies, I suggest to use aptitude and a repo like file:/cdrom/proxmox/ from the CD image)
    • embperl will be fscked if you do not use prefork apache:
[Tue Dec 09 11:52:05 2008] [error] [6987]ERR:  24:  Error in Perl code: \t(in cleanup) Can't call method "app" on an undefined value at /usr/lib/perl5/Embperl/Util.pm line 107.
[Tue Dec 09 11:52:05 2008] [error] [6987]ERR:  24:  Error in Perl code: \t(in cleanup) Can't call method "component" on an undefined value at /var/www/pve/base.epl line 109.
[Tue Dec 09 11:52:05 2008] [error] [6987]ERR:  24:  Error in Perl code: \t(in cleanup) Can't call method "component" on an undefined value at /var/www/pve/base.epl line 103.
[Tue Dec 09 11:52:05 2008] [error] [6987]ERR:  24:  Error in Perl code: \t(in cleanup) Illegal declaration of subroutine Embperl::__1::_ep_sub_ at /var/www/pve/base.epl line 101.
  • keep -pve kernel if you do not need some advanced kernel features, or use an OpenVZ/Debian one if you do (like software RAID)
  • reboot with your newly installed system, and follow the installation instructions.